Skip to main content
POST
Create route

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Route name. Must not be greater than 255 characters.

Example:

"MTO: Buy"

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

product_category_selectable
boolean | null

Whether this route can be applied to product categories.

Example:

false

product_selectable
boolean | null

Whether this route can be applied to products.

Example:

false

packaging_selectable
boolean | null

Whether this route can be applied to packaging.

Example:

false

warehouse_selectable
boolean | null

Whether this route can be applied to warehouses.

Example:

false

warehouses
integer[]

The id of an existing record in the inventories_warehouses table.

Example:

Response

Created